Name:           lmiwbem
Version:        0.4.0
Release:        2%{?dist}
Summary:        Python WBEM Client
License:        LGPLv2+
URL:            https://github.com/phatina/lmiwbem
Source0:        https://github.com/phatina/lmiwbem/releases/download/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:         lmiwbem-01-rtd-theme.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme
BuildRequires:  boost-devel >= 1.50.0
BuildRequires:  boost-python >= 1.50.0
BuildRequires:  openslp-devel
BuildRequires:  tog-pegasus-devel >= 2.12.0
BuildRequires:  tog-pegasus-libs >= 2.12.0
Requires:       boost-python >= 1.50.0
Requires:       openslp
Requires:       python
Requires:       tog-pegasus-libs >= 2.12.0

%description
%{name} is a Python library, which performs CIM operations using CIM-XML
protocol. The library tries to mimic PyWBEM.

%package doc
Summary:        Documentation for %{name}
Group:          Documentation

%description doc
%{summary}

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .rtd

%build
%configure --with-doc=yes
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install
find %{buildroot} -name '*.la' | xargs rm -f

%files
%doc COPYING README.md
%{python_sitearch}/lmiwbem/

%files doc
%dir %{_docdir}/%{name}-%{version}
%{_docdir}/%{name}-%{version}/html

%changelog
* Wed Oct 29 2014 Peter Hatina <phatina@redhat.com> - 0.4.0-2
- doc: switch to rtd theme

* Wed Oct 29 2014 Peter Hatina <phatina@redhat.com> - 0.4.0-1
- upgrade to 0.4.0

* Mon Sep  1 2014 Peter Hatina <phatina@redhat.com> - 0.3.1-1
- upgrade to 0.3.1

* Wed Aug 27 2014 Peter Hatina <phatina@redhat.com> - 0.3.0-1
- upgrade to 0.3.0

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jul 31 2014 Peter Hatina <phatina@redhat.com> - 0.2.0-11
- drop __all__ from lmiwbem.__init__.py

* Wed Jul 23 2014 Peter Hatina <phatina@redhat.com> - 0.2.0-10
- fix CIMIndicationListener API compatibility

* Mon Jul 14 2014 Peter Hatina <phatina@redhat.com> - 0.2.0-9
- fix missing symbol in __init__.py's __all__

* Wed Jul  9 2014 Peter Hatina <phatina@redhat.com> - 0.2.0-8
- fix deadlocks related to Python's GIL

* Fri Jun 13 2014 Peter Hatina <phatina@redhat.com> - 0.2.0-7
- fix build for s390(x)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Jun  5 2014 Peter Hatina <phatina@redhat.com> - 0.2.0-5
- add support for ppc(64(le)), s390(x), aarch64

* Wed May 28 2014 Peter Hatina <phatina@redhat.com> - 0.2.0-4
- fix CIMValue type deduction

* Wed May 28 2014 Peter Hatina <phatina@redhat.com> - 0.2.0-3
- use namespace in GetInstance() also from CIMInstanceName

* Fri May 23 2014 Petr Machata <pmachata@redhat.com> - 0.2.0-2
- Rebuild for boost 1.55.0

* Wed May 21 2014 Peter Hatina <phatina@redhat.com> - 0.2.0-1
- upgrade to 0.2.0
- introduce lmiwbem-doc package

* Wed Jan 29 2014 Peter Hatina <phatina@redhat.com> - 0.1.0-1
- initial import
